/**
 * Verifies that given municipality code is valid foreign code
 *
 * @param  {string} code      A string representing municipality digits
 * @returns {boolean}         Foreign validity of the given municipality
 */
export declare function isForeignCode(code: string): boolean;
/**
 * Verifies that given municipality code is valid national code
 *
 * @param  {string} code      A string representing municipality digits
 * @returns {boolean}         National validity of the given municipality
 */
export declare function isNationalCode(code: string): boolean;
/**
 * Verifies that given municipality code is valid
 *
 * @param  {string} code      A string representing municipality digits
 * @returns {boolean}         Validity of the given municipality
 */
export declare function isMunicipalityCode(code: string): boolean;
